this.name        = "telescope_repaireq";
this.author      = "Norby";
this.copyright   = "2013 Norbert Nagy";
this.licence     = "CC BY-NC-SA 3.0";
this.description = "Repair an equipment if damaged only, full repairs if cheaply fixed.";
this.version     = "1.0";

this.allowAwardEquipment = function( eqKey, ship, context )
{
    "use strict";
    if( context !== "purchase" ) 	return false;
    var ps = player && player.ship;
    if( ship !== ps )            	return false;
    var actualEq = eqKey,
        endsWith = '',
        parsed = eqKey.split( '_' );
    if( parsed.length === 3 ) {
        actualEq = parsed[ 0 ] + '_' + parsed[ 1 ];
        endsWith = parsed[ 2 ];
    }
    if( !endsWith ) 				return false;					// will be '' if there's only 1 '_'
    let status = ps.equipmentStatus( actualEq );
    let isDamaged = status === "EQUIPMENT_DAMAGED";
    let isWorking = status === "EQUIPMENT_OK";
    if( !isWorking && !isDamaged )  return false;					// EQUIPMENT_UNAVAILABLE or EQUIPMENT_UNKNOWN
    var ws = worldScripts.telescope;
    if(      eqKey === "EQ_TELESCOPE_REPAIR" )        return isDamaged && ws.$FixedTel === 0;
    else if( eqKey === "EQ_GRAVSCANNER_REPAIR" )      return isDamaged && ws.$FixedGS === 0;
    else if( eqKey === "EQ_GRAVSCANNER2_REPAIR" )     return isDamaged && ws.$FixedGS === 0;
    else if( eqKey === "EQ_SMALLDISH_REPAIR" )        return isDamaged && ws.$FixedSD === 0;
    else if( eqKey === "EQ_LARGEDISH_REPAIR" )        return isDamaged && ws.$FixedLD === 0;
    
    else if( eqKey === "EQ_TELESCOPE_FULLREPAIR" )    return isWorking && ws.$FixedTel === 1;
    else if( eqKey === "EQ_TELESCOPEEXT_FULLREPAIR" ) return isDamaged; // has no cheap repair option
    else if( eqKey === "EQ_GRAVSCANNER_FULLREPAIR" )  return isWorking && ws.$FixedGS === 1;
    else if( eqKey === "EQ_GRAVSCANNER2_FULLREPAIR" ) return isWorking && ws.$FixedGS === 1;                       
    else if( eqKey === "EQ_SMALLDISH_FULLREPAIR" )    return isWorking && ws.$FixedSD === 1;
    else if( eqKey === "EQ_LARGEDISH_FULLREPAIR" )    return isWorking && ws.$FixedLD === 1;
    
    return false;
}
